Social Neuron REST API
stringstringstringstring · enumboolean boolean
string · required boolean
string · required boolean
discovery
Search and discover available MCP tools
POST
https://mcp.socialneuron.com/v1
/tools/search_tools
Search and discover available MCP tools › Request Body
querySearch query to filter tools by name or description
moduleFilter by module name (e.g. "planning", "content", "analytics")
scopeFilter by required scope (e.g. "mcp:read", "mcp:write")
detailDetail level: "name" for just tool names, "summary" for names + descriptions, "full" for complete info including scope and module
Enum values:
name
summary
full
Default: summary
available_onlyWhen true, only return tools allowed by the current API key/OAuth scopes. Use this after a permission_denied error.
Default: false
Search and discover available MCP tools › Responses
Tool executed. isError:true in the body indicates a tool-level error.
MCP CallToolResult. `content` carries text/structured blocks; `structuredContent` is present when the tool declares structured output.
object[]
object
isErrorSearch public Social Neuron product, integration, developer, and MCP tool knowledge using the ChatGPT-compatible search schema.
POST
https://mcp.socialneuron.com/v1
/tools/search
Search public Social Neuron product, integration, developer, and MCP tool knowledge using the ChatGPT-compatible search schema. › Request Body
querySearch query.
Search public Social Neuron product, integration, developer, and MCP tool knowledge using the ChatGPT-compatible search schema. › Responses
Tool executed. isError:true in the body indicates a tool-level error.
MCP CallToolResult. `content` carries text/structured blocks; `structuredContent` is present when the tool declares structured output.
object[]
object
isErrorFetch one public Social Neuron knowledge document by ID using the ChatGPT-compatible fetch schema.
POST
https://mcp.socialneuron.com/v1
/tools/fetch
Fetch one public Social Neuron knowledge document by ID using the ChatGPT-compatible fetch schema. › Request Body
idDocument ID returned by search.
Fetch one public Social Neuron knowledge document by ID using the ChatGPT-compatible fetch schema. › Responses
Tool executed. isError:true in the body indicates a tool-level error.
MCP CallToolResult. `content` carries text/structured blocks; `structuredContent` is present when the tool declares structured output.
object[]
object
isError